-- 差异分摊用户配置基础资料
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IM_MDC_DIFFSHARE_SETDAT')
CREATE TABLE T_IM_MDC_DIFFSHARE_SETDAT (
  FID BIGINT DEFAULT 0 NOT NULL,
  FNUMBER NVARCHAR(30) DEFAULT '' NOT NULL,
  FSTATUS NVARCHAR(1) DEFAULT '' NOT NULL,
  FCREATORID BIGINT DEFAULT 0 NOT NULL,
  FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
  FENABLE NVARCHAR(1) DEFAULT '' NOT NULL,
  FCREATETIME DATETIME ,
  FMODIFYTIME DATETIME ,
  FMASTERID BIGINT DEFAULT 0 NOT NULL,
  FCHECKBOXFIELD CHAR(1) DEFAULT '0' NOT NULL,
  FNOTE NVARCHAR(50) DEFAULT ' ' NOT NULL,
  FPFMATERIAL CHAR(1) DEFAULT '0' NOT NULL,
  FPFORG CHAR(1) DEFAULT '0' NOT NULL,
  FPFOWNER CHAR(1) DEFAULT '0' NOT NULL
);

-- 差异分摊用户配置基础资料多语言表
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IM_MDC_DIFFSHARE_SETDAT_L')
CREATE TABLE T_IM_MDC_DIFFSHARE_SETDAT_L (
  FPKID NVARCHAR(255) DEFAULT '' NOT NULL,
  FID BIGINT DEFAULT 0 NOT NULL,
  FLOCALEID NVARCHAR(255) DEFAULT '' NOT NULL,
  FNAME NVARCHAR(50) DEFAULT '' NOT NULL
);
